      LOGICAL(4) FUNCTION INITIALSETTINGS()
C
C  MARCH 2002: ADD "-true" OPTION TO SPECIFY TRUE COLOR MODE
C  OCTOBER 2002: ADD "-tile" OPTION TO SPECIFY THAT TEXT AND GRAPHICS
C                WINDOWS WILL BE TILED.
C
      USE DFWIN
      USE DFLIB
      INTEGER*2 I, ISTATUS
CCCCC LOGICAL(4) RESULT
      TYPE (QWINFO) QWI
      CHARACTER*80 BUF
      TYPE (WINDOWCONFIG) DPSCREEN
      CHARACTER*4 QWSCRN
      COMMON/QUICKWN/DPSCREEN,QWSCRN,IQWNFT,IQWNFN
      CHARACTER*4 IECHO
      CHARACTER*80 FTEMP
      COMMON/QUICKW2/IECHO,FTEMP
      COMMON/QUICKW3/NCFTMP
      CHARACTER*4 IQWNTL
      COMMON/QUICKW4/IQWNTL
C
      CHARACTER*4 IQWNFC
      CHARACTER*4 IQWNCL
      CHARACTER*80 IQWNFZ
      CHARACTER*4 IQWNPF
      CHARACTER*4 IQWNPM
      CHARACTER*4 IQWNTC
      COMMON/CQWNCP/IQWNFC,IQWNCL,IQWNFZ,IQWNPF,IQWNTC,IQWNPM(255)
C
CCCCC MAY 2001.  EXTRACT FILE NAME AND ECHO ARGUMENTS OFF COMMAND
CCCCC LINE FOR PROCESSING IN CKCLAR ROUTINE
C
C  SET DEFAULT SIZE OF FRAME WINDOW
C
      QWI.X = 0
      QWI.Y = 0
      QWI.W = 630
      QWI.H = 460
      QWI.TYPE = QWIN$SET
      QWSCRN='VGA'
      NUM=NARGS()
      IECHO='    '
      FTEMP=' '
      NCFTMP=0
      IQWNCL='VGA '
      IQWNTL='OFF'
      IF(NUM.GT.1)THEN
        DO10I=1,NUM
          CALL GETARG(I,BUF,ISTATUS)
          IF(ISTATUS.GE.2 .AND. BUF(1:2).EQ.'-W' .OR.
     &       BUF(1:2).EQ.'-w')THEN
            READ(BUF(3:ISTATUS),'(I4.4)',ERR=19) QWI.W
          ELSEIF(ISTATUS.GE.2 .AND. BUF(1:2).EQ.'-H' .OR.
     &       BUF(1:2).EQ.'-h')THEN
            READ(BUF(3:ISTATUS),'(I4.4)',ERR=19) QWI.H
          ELSEIF(ISTATUS.GE.5 .AND. BUF(1:5).EQ.'-SVGA' .OR.
     &           BUF(1:5).EQ.'-svga')THEN
            QWI.W = 950
            QWI.H = 700
            QWSCRN='SVGA'
          ELSEIF(ISTATUS.GE.6 .AND. BUF(1:6).EQ.'-LARGE' .OR.
     &           BUF(1:6).EQ.'-large')THEN
            QWI.W = 1150
            QWI.H = 1000
            QWSCRN='LARG'
          ELSEIF(ISTATUS.GE.9 .AND. BUF(1:9).EQ.'-FILLIBEN' .OR.
     &           BUF(1:9).EQ.'-filliben')THEN
            QWI.W = 1150
            QWI.H = 1000
            QWSCRN='LARG'
            IQWNTL='ON'
          ELSEIF(ISTATUS.GE.5 .AND. BUF(1:5).EQ.'-TILE' .OR.
     &           BUF(1:5).EQ.'-tile')THEN
            IQWNTL='ON'
          ELSEIF(ISTATUS.GE.5 .AND. BUF(1:5).EQ.'-TRUE' .OR.
     &           BUF(1:5).EQ.'-true')THEN
            IQWNCL='RGB'
          ELSEIF(ISTATUS.GE.4 .AND. BUF(1:4).EQ.'ECHO' .OR.
     &           BUF(1:4).EQ.'echo')THEN
            IECHO(1:4)='ECHO'
          ELSE
            IF(ISTATUS.GE.3 .AND. ISTATUS.LE.80)THEN
              NCFTMP=ISTATUS
              FTEMP(1:ISTATUS)=BUF(1:ISTATUS)
            ENDIF
          ENDIF
   10   CONTINUE
   19   CONTINUE
      ENDIF
      I = SetWSizeQQ(QWIN$FRAMEWINDOW, QWI)
CCCCC I = DISPLAYCURSOR($GCURSORON)
      INITIALSETTINGS = .TRUE.
      END FUNCTION INITIALSETTINGS
